#!/bin/sh

set -e

if [ "$#" -ne 1 ]; then
  echo "Expected exactly one argument.  Example usage:" 2>&1
  echo "  `basename \"${0}\"` ut4_icy.map" 2>&1
  exit 1
fi
MAPNAME="$1"
Q3MAP2="${HOME}/ZeroRadiant/q3map2"
URTDIR="/home/jeux/UrbanTerror"
"${Q3MAP2}" -v -threads 2 -game quake3 -fs_basepath "${URTDIR}" \
  -fs_game q3ut4 -meta -patchmeta -subdivisions 1 -debugportals "${MAPNAME}"
