textures/icyjumps5/stratosphere
{
    qer_editorImage env/icyjumps5/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/icyjumps5/stratosphere - -
}

textures/icyjumps5/stratosphere_hollow
{
    qer_editorImage env/icyjumps5/stratosphere_ft.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/icyjumps5/stratosphere - -
}

textures/icyjumps5/tile00
{
    q3map_lightImage textures/icyjumps5/tile00.tga
    qer_editorImage textures/icyjumps5/qer_tile00_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile00_sl
{
    qer_editorImage textures/icyjumps5/tile00.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile00_icy
{
    q3map_lightImage textures/icyjumps5/tile00.tga
    qer_editorImage textures/icyjumps5/qer_tile00_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile00_sm
{
    q3map_lightImage textures/icyjumps5/tile00_sm.tga
    qer_editorImage textures/icyjumps5/qer_tile00_sm_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile00_sm.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile00_sm_sl
{
    qer_editorImage textures/icyjumps5/tile00_sm.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile00_sm.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile00_med_sl
{
    qer_editorImage textures/icyjumps5/tile00_med.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile00_med.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile00_hollow
{
    qer_editorImage textures/icyjumps5/tile00.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile00_hollow_icy
{
    q3map_lightImage textures/icyjumps5/tile00.tga
    qer_editorImage textures/icyjumps5/qer_tile00_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile01
{
    q3map_lightImage textures/icyjumps5/tile01.tga
    qer_editorImage textures/icyjumps5/qer_tile01_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile01_sl
{
    qer_editorImage textures/icyjumps5/tile01.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile01_icy
{
    q3map_lightImage textures/icyjumps5/tile01.tga
    qer_editorImage textures/icyjumps5/qer_tile01_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile01_hollow
{
    qer_editorImage textures/icyjumps5/tile01.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile01_hollow_icy
{
    q3map_lightImage textures/icyjumps5/tile01.tga
    qer_editorImage textures/icyjumps5/qer_tile01_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile02
{
    q3map_lightImage textures/icyjumps5/tile02.tga
    qer_editorImage textures/icyjumps5/qer_tile02_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile02_sl
{
    qer_editorImage textures/icyjumps5/tile02.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile02_icy
{
    q3map_lightImage textures/icyjumps5/tile02.tga
    qer_editorImage textures/icyjumps5/qer_tile02_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile02.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile02_hollow
{
    qer_editorImage textures/icyjumps5/tile02.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile02_hollow_icy
{
    q3map_lightImage textures/icyjumps5/tile02.tga
    qer_editorImage textures/icyjumps5/qer_tile02_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile02.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile03
{
    q3map_lightImage textures/icyjumps5/tile03.tga
    qer_editorImage textures/icyjumps5/qer_tile03_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile03_sl
{
    qer_editorImage textures/icyjumps5/tile03.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile03_icy
{
    q3map_lightImage textures/icyjumps5/tile03.tga
    qer_editorImage textures/icyjumps5/qer_tile03_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile03.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile03_hollow
{
    qer_editorImage textures/icyjumps5/tile03.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile03_hollow_icy
{
    q3map_lightImage textures/icyjumps5/tile03.tga
    qer_editorImage textures/icyjumps5/qer_tile03_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile03.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile04
{
    q3map_lightImage textures/icyjumps5/tile04.tga
    qer_editorImage textures/icyjumps5/qer_tile04_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile04.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile04_sl
{
    qer_editorImage textures/icyjumps5/tile04.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile04.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile04_icy
{
    q3map_lightImage textures/icyjumps5/tile04.tga
    qer_editorImage textures/icyjumps5/qer_tile04_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile04.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile05
{
    q3map_lightImage textures/icyjumps5/tile05.tga
    qer_editorImage textures/icyjumps5/qer_tile05_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile05_sl
{
    qer_editorImage textures/icyjumps5/tile05.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile05_icy
{
    q3map_lightImage textures/icyjumps5/tile05.tga
    qer_editorImage textures/icyjumps5/qer_tile05_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile05.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile05_hollow
{
    qer_editorImage textures/icyjumps5/tile05.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile06
{
    q3map_lightImage textures/icyjumps5/tile06.tga
    qer_editorImage textures/icyjumps5/qer_tile06_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile06.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile06_sl
{
    qer_editorImage textures/icyjumps5/tile06.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile06.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile06_icy
{
    q3map_lightImage textures/icyjumps5/tile06.tga
    qer_editorImage textures/icyjumps5/qer_tile06_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile06.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile07
{
    q3map_lightImage textures/icyjumps5/tile07.tga
    qer_editorImage textures/icyjumps5/qer_tile07_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile07_sl
{
    qer_editorImage textures/icyjumps5/tile07.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile07_icy
{
    q3map_lightImage textures/icyjumps5/tile07.tga
    qer_editorImage textures/icyjumps5/qer_tile07_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile07.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile07_hollow
{
    qer_editorImage textures/icyjumps5/tile07.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile08
{
    q3map_lightImage textures/icyjumps5/tile08.tga
    qer_editorImage textures/icyjumps5/qer_tile08_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile08_sl
{
    qer_editorImage textures/icyjumps5/tile08.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile08_icy
{
    q3map_lightImage textures/icyjumps5/tile08.tga
    qer_editorImage textures/icyjumps5/qer_tile08_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile08.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile08_hollow
{
    qer_editorImage textures/icyjumps5/tile08.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile09
{
    q3map_lightImage textures/icyjumps5/tile09.tga
    qer_editorImage textures/icyjumps5/qer_tile09_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile09_sl
{
    qer_editorImage textures/icyjumps5/tile09.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile09_icy
{
    q3map_lightImage textures/icyjumps5/tile09.tga
    qer_editorImage textures/icyjumps5/qer_tile09_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile09.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile09_hollow
{
    qer_editorImage textures/icyjumps5/tile09.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile10
{
    q3map_lightImage textures/icyjumps5/tile10.tga
    qer_editorImage textures/icyjumps5/qer_tile10_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile10.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile10_sl
{
    qer_editorImage textures/icyjumps5/tile10.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile10.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile10_icy
{
    q3map_lightImage textures/icyjumps5/tile10.tga
    qer_editorImage textures/icyjumps5/qer_tile10_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile10.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile11
{
    q3map_lightImage textures/icyjumps5/tile11.tga
    qer_editorImage textures/icyjumps5/qer_tile11_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile11_sl
{
    qer_editorImage textures/icyjumps5/tile11.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile11_icy
{
    q3map_lightImage textures/icyjumps5/tile11.tga
    qer_editorImage textures/icyjumps5/qer_tile11_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile11.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile11_hollow
{
    qer_editorImage textures/icyjumps5/tile11.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile12
{
    q3map_lightImage textures/icyjumps5/tile12.tga
    qer_editorImage textures/icyjumps5/qer_tile12_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile12.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile12_sl
{
    qer_editorImage textures/icyjumps5/tile12.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile12.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile12_icy
{
    q3map_lightImage textures/icyjumps5/tile12.tga
    qer_editorImage textures/icyjumps5/qer_tile12_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile12.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile13
{
    q3map_lightImage textures/icyjumps5/tile13.tga
    qer_editorImage textures/icyjumps5/qer_tile13_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile13_sl
{
    qer_editorImage textures/icyjumps5/tile13.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile13_hollow
{
    qer_editorImage textures/icyjumps5/tile13.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile14
{
    q3map_lightImage textures/icyjumps5/tile14.tga
    qer_editorImage textures/icyjumps5/qer_tile14_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile14_sl
{
    qer_editorImage textures/icyjumps5/tile14.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile14_icy
{
    q3map_lightImage textures/icyjumps5/tile14.tga
    qer_editorImage textures/icyjumps5/qer_tile14_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile14.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile14_hollow
{
    qer_editorImage textures/icyjumps5/tile14.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile15
{
    q3map_lightImage textures/icyjumps5/tile15.tga
    qer_editorImage textures/icyjumps5/qer_tile15_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile15_sl
{
    qer_editorImage textures/icyjumps5/tile15.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile15_hollow
{
    qer_editorImage textures/icyjumps5/tile15.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile16
{
    q3map_lightImage textures/icyjumps5/tile16.tga
    qer_editorImage textures/icyjumps5/qer_tile16_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile16.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile16_sl
{
    qer_editorImage textures/icyjumps5/tile16.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile16.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile16_icy
{
    q3map_lightImage textures/icyjumps5/tile16.tga
    qer_editorImage textures/icyjumps5/qer_tile16_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile16.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile17
{
    q3map_lightImage textures/icyjumps5/tile17.tga
    qer_editorImage textures/icyjumps5/qer_tile17_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile17_sl
{
    qer_editorImage textures/icyjumps5/tile17.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile17_icy
{
    q3map_lightImage textures/icyjumps5/tile17.tga
    qer_editorImage textures/icyjumps5/qer_tile17_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile17.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile17_hollow
{
    qer_editorImage textures/icyjumps5/tile17.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile18
{
    q3map_lightImage textures/icyjumps5/tile18.tga
    qer_editorImage textures/icyjumps5/qer_tile18_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile18.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile18_sl
{
    qer_editorImage textures/icyjumps5/tile18.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile18.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile18_icy
{
    q3map_lightImage textures/icyjumps5/tile18.tga
    qer_editorImage textures/icyjumps5/qer_tile18_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile18.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile19
{
    q3map_lightImage textures/icyjumps5/tile19.tga
    qer_editorImage textures/icyjumps5/qer_tile19_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile19_sl
{
    qer_editorImage textures/icyjumps5/tile19.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile19_icy
{
    q3map_lightImage textures/icyjumps5/tile19.tga
    qer_editorImage textures/icyjumps5/qer_tile19_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile19.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile19_hollow
{
    qer_editorImage textures/icyjumps5/tile19.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile20
{
    q3map_lightImage textures/icyjumps5/tile20.tga
    qer_editorImage textures/icyjumps5/qer_tile20_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile20_sl
{
    qer_editorImage textures/icyjumps5/tile20.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/tile20_icy
{
    q3map_lightImage textures/icyjumps5/tile20.tga
    qer_editorImage textures/icyjumps5/qer_tile20_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/tile20.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/tile20_hollow
{
    qer_editorImage textures/icyjumps5/tile20.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/light
{
    qer_editorImage textures/icyjumps5/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/icyjumps5/light.tga
    }
}

textures/icyjumps5/flashing_light
{
    qer_editorImage textures/icyjumps5/lightred.tga
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    {
        map textures/icyjumps5/lightred.tga
        rgbGen wave sin 0.6 0.4 0 0.7
    }
}

textures/icyjumps5/flashing_button
{
    qer_editorImage textures/icyjumps5/lightred.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_icyjumps5/red.tga
        blendFunc filter
    }
    {
        map textures/icyjumps5/lightred.tga
        blendFunc add
        rgbGen wave square 0.20 0.20 0 2.3
    }
}

textures/icyjumps5/depressed_button
{
    qer_editorImage textures/icyjumps5/lightorange.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_icyjumps5/orange.tga
        blendFunc filter
    }
    {
        map textures/icyjumps5/lightorange.tga
        blendFunc add
        rgbGen const ( 0.4 0.4 0.4 )
    }
}

textures/icyjumps5/ladder
{
    qer_editorImage textures/icyjumps5/redwood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map textures/icyjumps5/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/wood
{
    qer_editorImage textures/icyjumps5/wood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/icyjumps5/wood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/barrier
{
    qer_editorImage textures/icyjumps5/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/icyjumps5/barrier.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/barrier_sl
{
    qer_editorImage textures/icyjumps5/barrier_sl.tga
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/barrier_sl.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/walljump
{
    qer_editorImage textures/icyjumps5/walljump.tga
    surfaceparm nodamage
    {
        map textures/icyjumps5/walljump.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/glass_clear
{
    q3map_lightImage textures/_icyjumps5/glass_radiosity.tga
    qer_editorImage textures/icyjumps5/qer_clear.tga
    qer_trans 0.5
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjumps5/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyjumps5/glass_clear_tr
{
    q3map_lightImage textures/_icyjumps5/glass_radiosity.tga
    qer_editorImage textures/icyjumps5/qer_clear.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjumps5/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyjumps5/glass_transparent
{
    q3map_lightImage textures/_icyjumps5/glass_radiosity.tga
    qer_editorImage textures/icyjumps5/qer_clear.tga
    qer_trans 0.3
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjumps5/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyjumps5/glass_transparent_tr
{
    q3map_lightImage textures/_icyjumps5/glass_radiosity.tga
    qer_editorImage textures/icyjumps5/qer_clear.tga
    qer_trans 0.4
    q3map_bounceScale 0.22
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjumps5/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyjumps5/glass_transparent2
{
    qer_editorImage textures/icyjumps5/qer_clear.tga
    qer_trans 0.1
    q3map_bounceScale 0.02
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjumps5/q3a_glass_transparent2.tga
        blendFunc add
        tcGen environment
    }
}

// Note that this is virtually the same as
// textures/ramb_common/slickclearfiller.
textures/icyjumps5/clear
{
    qer_editorImage textures/icyjumps5/qer_clear.tga
    qer_trans 0.1
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm nodraw
    surfaceparm trans
}

textures/icyjumps5/filler
{
    qer_editorImage textures/icyjumps5/qer_filler.tga
    qer_trans 0.6
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/icyjumps5/filler_sl
{
    qer_editorImage textures/icyjumps5/qer_filler.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/icyjumps5/filler_wood
{
    qer_editorImage textures/icyjumps5/qer_filler_wood.tga
    qer_trans 0.6
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/icyjumps5/filler_glass
{
    qer_editorImage textures/icyjumps5/qer_filler_glass.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/icyjumps5/portal
{
    qer_editorImage textures/icyjumps5/portal.tga
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
//    cull disable
    {
        map textures/icyjumps5/portal.tga
        tcMod scroll 0 1
    }
}

textures/icyjumps5/portal_solid
{
    qer_editorImage textures/icyjumps5/portal.tga
    surfaceparm nodamage
    surfaceparm nomarks
    surfaceparm noimpact
    {
        map textures/icyjumps5/portal.tga
        tcMod scale 0.6 0.6
        tcMod rotate 15
        tcMod scroll 0.25 0.25
    }
}

textures/icyjumps5/portal_trans
{
    qer_editorImage textures/icyjumps5/portal.tga
    qer_trans 0.4
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/portal.tga
        blendFunc blend
        alphaGen const 0.65
        tcMod scroll 0 1
    }
}

textures/icyjumps5/portal_lemming
{
    qer_editorImage textures/icyjumps5/portal.tga
    surfaceparm slick
    surfaceparm nomarks
    surfaceparm noimpact
    {
        map textures/icyjumps5/portal.tga
    }
}

textures/icyjumps5/white
{
    qer_editorImage textures/icyjumps5/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/white.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/white_icy
{
    q3map_lightImage textures/icyjumps5/white.tga
    qer_editorImage textures/icyjumps5/qer_white_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/white_hollow
{
    qer_editorImage textures/icyjumps5/white.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/white.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/white_hollow_icy
{
    q3map_lightImage textures/icyjumps5/white.tga
    qer_editorImage textures/icyjumps5/qer_white_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/gray
{
    qer_editorImage textures/icyjumps5/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/gray.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/gray_icy
{
    q3map_lightImage textures/icyjumps5/gray.tga
    qer_editorImage textures/icyjumps5/qer_gray_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjumps5/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/gray_hollow
{
    qer_editorImage textures/icyjumps5/gray.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/gray.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/gray_hollow_icy
{
    q3map_lightImage textures/icyjumps5/gray.tga
    qer_editorImage textures/icyjumps5/qer_gray_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjumps5/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjumps5/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjumps5/black
{
    qer_editorImage textures/icyjumps5/black.tga
    {
        map textures/icyjumps5/black.tga
    }
}

textures/icyjumps5/black_sl
{
    qer_editorImage textures/icyjumps5/black.tga
    surfaceparm slick
    {
        map textures/icyjumps5/black.tga
    }
}

textures/icyjumps5/black_hollow
{
    qer_editorImage textures/icyjumps5/black.tga
    qer_trans 0.7`
    surfaceparm nonsolid
    {
        map textures/icyjumps5/black.tga
    }
}

textures/icyjumps5/icy_jumps_v
{
    qer_editorImage textures/icyjumps5/icy_jumps_v.tga
    polygonOffset
    {
        map textures/icyjumps5/icy_jumps_v.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1

    }
}

textures/icyjumps5/lucifer
{
    qer_editorImage textures/icyjumps5/lucifer.tga
    polygonOffset
    {
        map textures/icyjumps5/lucifer.tga
        blendFunc blend
        alphaGen const 1
//        alphaGen wave sin 0.5 0.5 0 1.2
    }
}

textures/icyjumps5/exit
{
    qer_editorImage textures/icyjumps5/exit.tga
    polygonOffset
    {
        map textures/icyjumps5/exit.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyjumps5/teh_end
{
    qer_editorImage textures/icyjumps5/teh_end.tga
    polygonOffset
    {
        map textures/icyjumps5/teh_end.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyjumps5/telekinetic
{
    qer_editorImage textures/icyjumps5/qer_telekinetic.tga
    polygonOffset
    {
        map textures/_icyjumps5/telekinetic.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/jackass
{
    qer_editorImage textures/icyjumps5/qer_jackass.tga
    polygonOffset
    {
        map textures/_icyjumps5/jackass.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/this_way
{
    qer_editorImage textures/icyjumps5/qer_this_way.tga
    polygonOffset
    {
        map textures/_icyjumps5/this_way.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/no_kevlar
{
    qer_editorImage textures/icyjumps5/qer_no_kevlar.tga
    polygonOffset
    {
        map textures/_icyjumps5/no_kevlar.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/arrow
{
    qer_editorImage textures/icyjumps5/qer_arrow.tga
    polygonOffset
    {
        map textures/_icyjumps5/arrow.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/air_time
{
    qer_editorImage textures/icyjumps5/qer_air_time.tga
    polygonOffset
    {
        map textures/_icyjumps5/air_time.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/got_leet
{
    qer_editorImage textures/icyjumps5/qer_got_leet.tga
    polygonOffset
    {
        map textures/_icyjumps5/got_leet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/speedway
{
    qer_editorImage textures/icyjumps5/qer_speedway.tga
    polygonOffset
    {
        map textures/_icyjumps5/speedway.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/tile_trans
{
    qer_editorImage textures/icyjumps5/tile_trans.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/icyjumps5/tile_trans.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyjumps5/tile_trans_lt
{
    qer_editorImage textures/icyjumps5/tile_trans_lt.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/icyjumps5/tile_trans_lt.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyjumps5/tile_trans_color
{
    qer_editorImage textures/icyjumps5/tile_trans_color.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/icyjumps5/tile_trans_color.tga
        blendFunc blend
        alphaGen const 0.6
    }
}

textures/icyjumps5/tile_trans_hollow
{
    qer_editorImage textures/icyjumps5/tile_trans_hollow.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    {
        map textures/icyjumps5/tile_trans_hollow.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyjumps5/rambetter
{
    qer_editorImage textures/icyjumps5/qer_rambetter.tga
    polygonOffset
    {
        map textures/_icyjumps5/rambetter.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/rambetter_avatar
{
    qer_editorImage textures/icyjumps5/rambetter_avatar.tga
    polygonOffset
    {
        map textures/icyjumps5/rambetter_avatar.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/leet
{
    qer_editorImage textures/icyjumps5/leet.tga
    polygonOffset
    {
        map textures/icyjumps5/leet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/blood
{
    qer_editorImage textures/icyjumps5/trem_blood.tga
    polygonOffset
    {
        map textures/icyjumps5/trem_blood.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/titanium
{
    qer_editorImage textures/icyjumps5/qer_titanium.tga
    polygonOffset
    {
        map textures/_icyjumps5/titanium.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/quzer
{
    qer_editorImage textures/icyjumps5/qer_quzer.tga
    polygonOffset
    {
        map textures/_icyjumps5/quzer.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/velo_sport
{
    qer_editorImage textures/icyjumps5/qer_velo_sport.tga
    polygonOffset
    {
        map textures/_icyjumps5/velo_sport.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/are_noob
{
    qer_editorImage textures/icyjumps5/are_noob.tga
    polygonOffset
    {
        map textures/icyjumps5/are_noob.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyjumps5/wuz_here
{
    qer_editorImage textures/icyjumps5/wuz_here.tga
    polygonOffset
    {
        map textures/icyjumps5/wuz_here.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/nooby_novelty
{
    qer_editorImage textures/icyjumps5/qer_nooby_novelty.tga
    polygonOffset
    {
        map textures/_icyjumps5/nooby_novelty.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/caution
{
    qer_editorImage textures/icyjumps5/caution.tga
    polygonOffset
    {
        map textures/icyjumps5/caution.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1
    }
}

textures/icyjumps5/slow
{
    qer_editorImage textures/icyjumps5/slow.tga
    polygonOffset
    {
        map textures/icyjumps5/slow.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0.5 1
        alphaGen const 1
    }
}

textures/icyjumps5/speed_limit
{
    qer_editorImage textures/icyjumps5/speed_limit.tga
    polygonOffset
    {
        map textures/icyjumps5/speed_limit.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1
    }
}


textures/icyjumps5/beastie
{
    qer_editorImage textures/icyjumps5/beastie.tga
    polygonOffset
    {
        map textures/icyjumps5/beastie.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/tux
{
    qer_editorImage textures/icyjumps5/tux.tga
    polygonOffset
    {
        map textures/icyjumps5/tux.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/vytis
{
    qer_editorImage textures/icyjumps5/vytis.tga
    polygonOffset
    {
        map textures/icyjumps5/vytis.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/competition_results
{
    qer_editorImage textures/icyjumps5/competition_results.tga
    polygonOffset
    {
        map textures/icyjumps5/competition_results.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/noob_finish
{
    qer_editorImage textures/icyjumps5/qer_noob_finish.tga
    polygonOffset
    {
        map textures/_icyjumps5/noob_finish.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/no_nooby_access
{
    qer_editorImage textures/icyjumps5/no_nooby_access.tga
    polygonOffset
    {
        map textures/icyjumps5/no_nooby_access.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/mario
{
    qer_editorImage textures/icyjumps5/mario.tga
    polygonOffset
    {
        map textures/icyjumps5/mario.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/bowser
{
    qer_editorImage textures/icyjumps5/bowser.tga
    polygonOffset
    {
        map textures/icyjumps5/bowser.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/mariosprite
{
    qer_editorImage textures/icyjumps5/mariosprite.tga
    polygonOffset
    {
        map textures/icyjumps5/mariosprite.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/mushroom
{
    qer_editorImage textures/icyjumps5/mushroom.tga
    polygonOffset
    {
        map textures/icyjumps5/mushroom.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/hot_chicks
{
    qer_editorImage textures/icyjumps5/hot_chicks.tga
    polygonOffset
    {
        map textures/icyjumps5/hot_chicks.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/chick_zone
{
    qer_editorImage textures/icyjumps5/chick_zone.tga
    polygonOffset
    {
        map textures/icyjumps5/chick_zone.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/noob_filter
{
    qer_editorImage textures/icyjumps5/qer_noob_filter.tga
    polygonOffset
    {
        map textures/_icyjumps5/noob_filter.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/nooby_maze
{
    qer_editorImage textures/icyjumps5/qer_nooby_maze.tga
    polygonOffset
    {
        map textures/_icyjumps5/nooby_maze.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/mario_fun_thing
{
    qer_editorImage textures/icyjumps5/qer_mario_fun_thing.tga
    polygonOffset
    {
        map textures/_icyjumps5/mario_fun_thing.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/please_wait
{
    qer_editorImage textures/icyjumps5/qer_please_wait.tga
    polygonOffset
    {
        map textures/_icyjumps5/please_wait.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icyjumps5/daffy
{
    qer_editorImage textures/icyjumps5/daffy.jpg
    surfaceparm detail
    {
        map textures/icyjumps5/daffy.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}



textures/icyjumps5/chicky1
{
    qer_editorImage textures/icyjumps5/chicky1.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/icyjumps5/chicky1.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/chicky2
{
    qer_editorImage textures/icyjumps5/chicky2.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/icyjumps5/chicky2.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/chicky3
{
    qer_editorImage textures/icyjumps5/chicky3.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/icyjumps5/chicky3.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/laetitia
{
    qer_editorImage textures/icyjumps5/laetitia.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/icyjumps5/laetitia.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/megan
{
    qer_editorImage textures/icyjumps5/megan.jpg
    surfaceparm detail
    {
        map textures/icyjumps5/megan.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/anna
{
    qer_editorImage textures/icyjumps5/anna.jpg
    surfaceparm detail
    {
        map textures/icyjumps5/anna.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/looking_glass
{
    qer_editorImage textures/icyjumps5/qer_looking_glass.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/_icyjumps5/looking_glass_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_icyjumps5/q3a_looking_glass_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}

textures/icyjumps5/lava
{
    qer_editorImage textures/icyjumps5/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable
    {
        map textures/_icyjumps5/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_icyjumps5/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icyjumps5/lava_brighter
{
    qer_editorImage textures/icyjumps5/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 490
    q3map_tessSize 96
    cull disable
    {
        map textures/_icyjumps5/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_icyjumps5/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icyjumps5/lava_bright
{
    qer_editorImage textures/icyjumps5/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 600
    q3map_tessSize 96
    cull disable
    {
        map textures/_icyjumps5/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_icyjumps5/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icyjumps5/lavacaulk
{
    qer_editorImage textures/icyjumps5/qer_lava.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/icyjumps5/lavafog
{
    qer_editorImage textures/icyjumps5/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.94 0.50 0.16 ) 150
}

textures/icyjumps5/adobe_wall
{
    qer_editorImage textures/icyjumps5/adobe_wall.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyjumps5/adobe_wall.jpg
        blendFunc filter
    }
}

textures/icyjumps5/lava_room_walls
{
    qer_editorImage textures/icyjumps5/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/icyjumps5/lava_room_walls.jpg
        tcMod scale 0.125 0.125
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/lava_room_walls_hl
{
    qer_editorImage textures/icyjumps5/lava_room_walls.jpg
    qer_trans 0.50
    surfaceparm nonsolid    
    {
        map textures/icyjumps5/lava_room_walls.jpg
        tcMod scale 0.125 0.125
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/lava_room_walls_med
{
    qer_editorImage textures/icyjumps5/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/icyjumps5/lava_room_walls.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/lava_room_walls_sm
{
    qer_editorImage textures/icyjumps5/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/icyjumps5/lava_room_walls.jpg
        tcMod scale 1.5 1.5
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/lava_room_walls_noscale
{
    qer_editorImage textures/icyjumps5/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/icyjumps5/lava_room_walls.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/darkceil
{
    qer_editorImage textures/icyjumps5/darkceil.jpg
    {
        map textures/icyjumps5/darkceil.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }

}

textures/icyjumps5/darkfloor
{
    qer_editorImage textures/icyjumps5/darkfloor.jpg
    {
        map textures/icyjumps5/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/darkfloor_soft
{
    q3map_lightImage textures/icyjumps5/darkfloor.jpg
    qer_editorImage textures/icyjumps5/qer_darkfloor_soft.jpg
    surfaceparm nodamage
    {
        map textures/icyjumps5/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/deathfog
{
    qer_editorImage textures/icyjumps5/black.tga
    qer_trans 0.3
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0 0 0 ) 1024
}

textures/icyjumps5/deathfogthick
{
    qer_editorImage textures/icyjumps5/black.tga
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0 0 0 ) 400
}

textures/icyjumps5/mirror
{
    qer_editorImage textures/icyjumps5/qer_mirror.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
//    surfaceparm detail
    {
        map textures/_icyjumps5/mirror.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_icyjumps5/q3a_sfx_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

textures/icyjumps5/tileclip
{
    qer_editorImage textures/icyjumps5/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm slick
    cull back
    {
        map textures/icyjumps5/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.15 0.04 0 1
    }
}

textures/icyjumps5/green_tile_glow_med
{
    qer_editorImage textures/icyjumps5/green_tile_glow_med.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/icyjumps5/green_tile_glow_med.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/icyjumps5/laddercaulk
{
    qer_editorImage textures/icyjumps5/qer_laddercaulk.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm ladder
}

textures/icyjumps5/lum_faint
{
    qer_editorImage textures/icyjumps5/white.tga
    qer_trans 0.4
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 5
    q3map_tessSize 96
    q3map_lightImage textures/icyjumps5/white.tga
}

textures/icyjumps5/lum_dim
{
    qer_editorImage textures/icyjumps5/white.tga
    qer_trans 0.6
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 15
    q3map_tessSize 96
    q3map_lightImage textures/icyjumps5/white.tga
}

textures/icyjumps5/lum
{
    qer_editorImage textures/icyjumps5/white.tga
    qer_trans 0.8
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 45
    q3map_tessSize 96
    q3map_lightImage textures/icyjumps5/white.tga
}

textures/icyjumps5/lum_none
{
    qer_editorImage textures/icyjumps5/white.tga
    qer_trans 0.2
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 0
    q3map_tessSize 96
    q3map_lightImage textures/icyjumps5/white.tga
}

textures/icyjumps5/blue_glow
{
    qer_editorImage textures/icyjumps5/qer_blue_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjumps5/blue_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.40 0.10 0 1
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/icyjumps5/red_glow
{
    qer_editorImage textures/icyjumps5/qer_red_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 70
    q3map_tessSize 64
    cull disable
    {
        map textures/_icyjumps5/red_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.35 0.15 0 1
    }
}

textures/icyjumps5/redwood
{
    qer_editorImage textures/icyjumps5/redwood.jpg
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/icyjumps5/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/glass_dark
{
    qer_editorImage textures/icyjumps5/qer_glass_dark.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icyjumps5/urt41_chrome.tga
        rgbGen vertex
        blendFunc blend
        tcGen environment
    }
}

textures/icyjumps5/e591539f
{
    qer_editorImage textures/icyjumps5/qer_e591539f.jpg
    surfaceparm detail
    {
        map textures/_icyjumps5/e591539f.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjumps5/ps3
{
    qer_editorImage textures/icyjumps5/ps3.tga
    polygonOffset
    {
        map textures/icyjumps5/ps3.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyjumps5/uber_leet
{
    qer_editorImage textures/icyjumps5/uber_leet.tga
    polygonOffset
    {
        map textures/icyjumps5/uber_leet.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 1.6
        alphaGen const 1
    }
}
